import request from '@/utils/request'

// 查询分类列表, 支持翻页
export function goodsExchangeList(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/CdKey/list',
    method: 'post',
    data,
    urlParams
  })
}

// 添加兑换码组
export function goodsExchangeCreate(data) {
  return request({
    url: '/api/v1/mp/admin/CdKey/create',
    method: 'post',
    data
  })
}

// 查询兑换码组详情
export function getExchangeCode(data) {
  return request({
    url: `/api/v1/mp/admin/CdKey/detail/${data}`,
    method: 'post',
  })
}

// 查看兑换码详情
export function getExchangeCodelist(urlParams, data) {
  return request({
    url: `/api/v1/mp/admin/CdKey/exchangeDetail/${data}`,
    method: 'post',
    urlParams
  })
}


// 兑换码激活
export function activateExchangeCode(data) {
  return request({
    url: `/api/v1/mp/admin/CdKey/activate`,
    method: 'post',
    data
  })
}

// 导出
export function exportCode(data) {
  return request({
    url: '/api/v1/mp/admin/CdKey/export',
    method: 'post',
    timeout: 15 * 60 * 1000,
    data
  })
}