import request from '@/utils/request'

//列表
export function getInventoryList(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/channel/goods/list',
    method: 'post',
    data,
    urlParams
  })
}

//详情
export function getInventoryDetail(orderId) {
  return request({
    url: `/api/v1/mp/admin/channel/goods/detail/${orderId}`,
    method: 'post',
  })
}

//推送结算订单
export function storeInventory(data) {
  return request({
    url: `/api/v1/mp/admin/channel/goods/push/settle/order`,
    method: 'post',
    data
  })
}
